Bug 185942 - biology/molden: Update to version 3.0.7
Summary: biology/molden: Update to version 3.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 18:40 UTC by tkato432
Modified: 2014-02-27 09:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.95 KB, patch)
2014-01-20 18:40 UTC, tkato432
no flags Details | Diff
biology_molden.diff (2.82 KB, patch)
2014-02-03 18:00 UTC, tkato432
no flags Details | Diff
biology_molden.diff (2.81 KB, patch)
2014-02-10 18:25 UTC, tkato432
no flags Details | Diff
biology_molden.diff (2.87 KB, patch)
2014-02-26 17:57 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-20 18:40:06 UTC
- Update to version 3.0.7
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 tkato432 2014-02-03 18:00:01 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2014-02-07 12:48:26 UTC
State Changed
From-To: open->feedback

fails to fech http://pkgdev.miwibox.org/latest-per-pkg/molden/5.0.7,1/
Comment 4 tkato432 2014-02-07 19:27:38 UTC
It seems like you picked up older version of the patch file.
Please confirm again with the latest one.
Comment 5 tkato432 2014-02-10 18:25:23 UTC
Version 5.1 has been released.
Comment 6 tkato432 2014-02-26 17:57:15 UTC
Remake of the patch against current tree.
Comment 7 dfilter service freebsd_committer 2014-02-27 08:58:44 UTC
Author: miwi
Date: Thu Feb 27 08:58:36 2014
New Revision: 346271
URL: http://svnweb.freebsd.org/changeset/ports/346271
QAT: https://qat.redports.org/buildarchive/r346271/

Log:
  - Update to 5.0.7
  
  PR:		185942
  Submitted by:	ports fury

Modified:
  head/biology/molden/Makefile
  head/biology/molden/distinfo

Modified: head/biology/molden/Makefile
==============================================================================
--- head/biology/molden/Makefile	Thu Feb 27 08:58:10 2014	(r346270)
+++ head/biology/molden/Makefile	Thu Feb 27 08:58:36 2014	(r346271)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	molden
-PORTVERSION=	5.0.6
-PORTREVISION=	1
+PORTVERSION=	5.0.7
 PORTEPOCH=	1
 CATEGORIES=	biology
 MASTER_SITES=	ftp://ftp.cmbi.ru.nl/pub/molgraph/molden/
@@ -14,25 +13,25 @@ COMMENT=	Display molecular orbitals and 
 
 RESTRICTED=	free for academic, non profit usage; do not re-distribute source and executable.
 
-OPTIONS_DEFINE=	DATA DOCS
-OPTIONS_DEFAULT=DATA
-
 WRKSRC=		${WRKDIR}/${PORTNAME}${PORTVERSION:R}
 
 USES=		fortran gmake
-USE_XORG=	x11 xproto
+USE_XORG=	x11
 USE_GL=		glu
 MAKEFILE=	makefile
 MAKE_JOBS_UNSAFE=yes
 
 CFLAGS+=	-D${OPSYS:U} -DDOBACK -DHASTIMER -DCOLOR_OFFSET=0.0 \
-		-I/usr/local/include -Wno-return-type
+		-I${LOCALBASE}/include -Wno-return-type
 
 PORTDOCS=	*
 PORTDATA=	*
 PLIST_FILES=	bin/ambfor bin/gmolden bin/molden bin/surf
 
-.include <bsd.port.options.mk>
+PORTSCOUT=	limit:^5\.0\.
+
+OPTIONS_DEFINE=		DATA DOCS
+OPTIONS_DEFAULT=	DATA
 
 post-patch:
 	@${REINPLACE_CMD} -e \
@@ -50,19 +49,17 @@ post-configure:
 	@${ECHO_MSG} "********************"
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/molden ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/gmolden ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/ambfor/ambfor ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/surf/surf ${STAGEDIR}${PREFIX}/bin
-.if ${PORT_OPTIONS:MDATA}
-	${MKDIR} ${STAGEDIR}${DATADIR}/test
-	${INSTALL_DATA} ${WRKSRC}/test/* ${STAGEDIR}${DATADIR}/test
-	${MKDIR} ${STAGEDIR}${DATADIR}/utils
-	${INSTALL_DATA} ${WRKSRC}/utils/* ${STAGEDIR}${DATADIR}/utils
-.endif
-.if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/* ${STAGEDIR}${DOCSDIR}
-.endif
+.for i in molden gmolden
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${i} ${STAGEDIR}${PREFIX}/bin)
+.endfor
+.for i in ambfor surf
+	(cd ${WRKSRC}/${i} && ${INSTALL_PROGRAM} ${i} ${STAGEDIR}/${PREFIX}/bin)
+.endfor
+	@${MKDIR} ${STAGEDIR}${DATADIR}/test
+	(cd ${WRKSRC}/test && ${INSTALL_DATA} * ${STAGEDIR}${DATADIR}/test)
+	@${MKDIR} ${STAGEDIR}${DATADIR}/utils
+	(cd ${WRKSRC}/utils &&  ${INSTALL_DATA} * ${STAGEDIR}${DATADIR}/utils)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} * ${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/biology/molden/distinfo
==============================================================================
--- head/biology/molden/distinfo	Thu Feb 27 08:58:10 2014	(r346270)
+++ head/biology/molden/distinfo	Thu Feb 27 08:58:36 2014	(r346271)
@@ -1,2 +1,2 @@
-SHA256 (molden5.0.6.tar.gz) = b22339129140095fdb3f2a5b9b11518e1bb81cc0fd02a627aa44575294b064cf
-SIZE (molden5.0.6.tar.gz) = 3084150
+SHA256 (molden5.0.7.tar.gz) = e46bd783acdb27277731afd0693681dab91f0af4f281be2ce2d83777038ba62e
+SIZE (molden5.0.7.tar.gz) = 3076093
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2014-02-27 08:58:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!